Download it now!
Bug 51148 - CRASH of particular .odb when clicking on the Form Window background when Date selection box is active
Summary: CRASH of particular .odb when clicking on the Form Window background when Dat...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-16 03:24 UTC by Mateusz
Modified: 2015-09-04 03:01 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Crashing .odb project (49.90 KB, application/vnd.oasis.opendocument.database)
2012-06-16 03:24 UTC, Mateusz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz 2012-06-16 03:24:47 UTC
Created attachment 63105 [details]
Crashing .odb project

Hi,

I am attaching part of my project, where the error can be reproduced.
It has been "anonymized". :)
Unnecessary tables and forms have been removed.

Here are steps to reproduce the problem (this is the way end-user will use this app):
1. Open attached file, allow macro execution.
2. Go to "Forms", launch "People management" form
3. Choose any record in the left top grid (called "Ludzie Akademii")
4. Depending on the record you selected in step 3, one of the button in the bottom left corner will be active: for editing or for creating new record in TTTC table. Click the one which is active. New form opens.
5. Click the dropdown arrow next to the green field (date text box).
6. Choose with mouse any other day, the calendar hides.
7. Click on the grey background of the form.

BUG: LibreOffice crashes.

NOTE:
1. The same behavior can be observed when clicing on the dropdown of the white date text box, with label "Data deklaracji członk.:"
2. If you click in step 7 on any other control, instead of the background, the LO does not crashes.
3. The same can be seen when you open directly form "TTTC management", however, opening this directly will not launch macros assigned to the buttons from step 4 - so be cautious.

Please feel free to contact me if you need any more info from my "dev" environment.
My OS:
Windows 7 Professional, 64bit
LibreOffice 3.5.4.2 
Build ID: 165a79a-7059095-e13bb37-fef39a4-9503d18

I have sources of LO, but I am afraid I am to weak to set up debuggin environment. :/ Any help greatly welcome.
Comment 1 Robert Großkopf 2012-07-08 10:56:09 UTC
Didn't crash here with LO 3.5.5.2, OpenSuSE 11.4 32bit. A popup appears "Control GREEN is loosing focus. Attention"
Comment 2 Mateusz 2012-07-08 13:53:09 UTC
Do not crashes with LO 3.5.3.2, Ubuntu 12.04 32bit.

Looks like Windows specific issue.
Or 64-bit OS issue (unlike).
Comment 3 Jochen 2012-08-28 16:08:42 UTC
Hi Matuesz,

using windows 7 prof 64 bit LO don´t crash.
Exists the problem still?
Comment 4 Jochen 2012-08-28 16:09:31 UTC
Soory:
forgot to say: using LO 3.5.5
Comment 5 Mateusz 2012-08-28 16:24:21 UTC
This is weird, but the problem has gone.

I was using LO 3.5.5 for a while, and the problem WAS there.
I think I even reproduced it on 3.6.0 (I was curious if it has gone by any chance).

Anyway - now, LO 3.6.0 Win 64bit, I am not able to reproduce it.

I guess this bug can be closed.

Kind Regards,
Mateusz
Comment 6 Mateusz 2012-08-28 16:38:19 UTC
Oooops, an update.

It still crashes: LO 3.6.0.4, Win 64-bit.

However, it does not happen immediately as it was previously.
Now, at the point 7. (of steps to reproduce the problem) - everything seems fine.
I can switch to another open form, or go back to LO itself.
Few switching between open windows, and LO crashes.

I wonder if the behavior is changed because of some recent Windows Update, or Java update...

Generally, the bug still exists, only it is a little bit harder to spot.

Kind Regards,
Mateusz
Comment 7 Jochen 2012-08-28 17:31:30 UTC
Hi Matuesz,

please list the single steps again - particularly Step 3, 4 and 5 require a more precise description - e.g. Step 3: "Choose any record in the left top grid" poste a concrete record don´t works.

And poste
1) what LO-version is concerned: 3.5.5 and/or 3.6.0?
2) What OS (only Windows 7 64 bit)?
Comment 8 Rainer Bielefeld Retired 2012-08-29 07:58:23 UTC
[Reproducible] with Server Installation of "LibreOffice 3.5.2.2 German UI/Locale [Build-ID: 281b639-6baa1d3-ef66a77-d866f25-f36d45f] on German WIN7 Home Premium (64bit). In step 3 I selected record 3, in step 6 I selected 27.5.12 step 7 I clicked into the big empty grey area bottom right quarter of the Window.  

Still [Reproducible] with Server installation (own profile) of "LibreOffice  3.5.6.2  German UI/Locale [Build-ID: e0fbe70-5879838-a0745b0-0cd1158-638b327] on German WIN7 Home Premium (64bit) 
and 
Still [Reproducible] with unzipped Master Build  "LOdev " 3.7.0.0.alpha0+  ENGLISH UI  [Build ID: 9ca3b53]" (tinderbox:W2008R2@20, pull time 2012-08-28 21:50:05) // WIN7 Home Premium (64bit) (JRE 1.7.0_05)

Was already reproducible with 3.4.5, 3.3.0, AOOo 3.4, so probably inherited from AOOo. 

Can someone check for DUPs here and whether something similar already has been reported at AOOo? I would like to have checked that before we involve a developer.

Crash always is serious, but currently only 1 document in the world affected(?), so not MAB yet.

@Mateusz
Please never write something like "select _A_ record". Always prescribe exactly what's to do, otherwise you can be sure a tester will find that one and only combination what does not reproduce your problem
Comment 9 Robert Großkopf 2012-08-29 11:30:46 UTC
One hint:
When you create forms with subforms, change entys in the form and then click in the area of the subform, data of the form were saved. This is the normal behaviour of LO and also OOo.
Comment 10 Mateusz 2012-08-30 19:04:52 UTC
Hi All,

Thanks a lot for your comments.

Rainer >
   I am 'new' to the big open source projects. Of course I'll be as detailed as possible when describing steps to reproduce - you are absolutely rught about it. Even small detail may be a root cause of a bad behavior.

Robert >
    This is very likely, that subforms may cause an 'update' action when focus is left. However, I could prevent writing with proper macro. I do not expect LO to crash.

-====================-

So here are my steps with currently run veriosn of LO 3.6.0.4 English, Win 7 Pro 64bit Polish (only - as this is my single machine I am working on):

1. Open attached file, allow macro execution.
2. Go to "Forms", launch "People management" form
3. Make sure the first record (0, name1, lastname1) is selected in the left top grid (called "Ludzie Akademii")
4. Click on "Edytuj rekord..." button in the bottom left corner of the window.
5. Click the dropdown arrow next to the green field ("Dane aktualne od:" date text box) - current date is 07.05.2012
6. Select with mouse next day, i.e. 08.05.2012. The calendar will close.
7. Click on the grey background of the form, to the next to the "Data deklaracji członk." date text box, over "Poziom sędziego" link, under "Status" drop-down (there is an empty area in the center of the other controls.
Then LO crashes.

NOTE: After the step 6-th, when you switch active window with LeftAlt-Tab, then the control is also losing it's focus.

Best Regards,
Mateusz
Comment 11 Robert Großkopf 2012-08-30 19:28:49 UTC
I have tested it again with LO 3.6.1.2 under OpenSUSE after reading the detailed description. With my configuration I can't produce a crash.
Windows 64bit only? Specific Java-Version?
Comment 12 Mateusz 2012-08-30 19:36:09 UTC
Robert,

Please see my comment from 2012-07-08 13:53:09 UTC.
It did not crash on Virtual Machine ubuntu. So I guess this is Windows related only.

With Java ... I have so much problems with Java - new LO 3.6.0 seems to not work properly with 1.7 64bit JRE, it crashed on my second laptop (Windows 7 Pro), and also on Mac 10.5 - LO is not usable any more. Probably installing old version of JRE, 1.6 32-bit may help ... So i even do not want to start thinking that this may be caused by Java. :(
LO and JRE seem do not like each other very much. ;-)
Especially on Mac OS, where old Java is currently not downloadable, and it forces users to upgrade MAC OS - this is a real disaster.

(In reply to comment #11)
> I have tested it again with LO 3.6.1.2 under OpenSUSE after reading the
> detailed description. With my configuration I can't produce a crash.
> Windows 64bit only? Specific Java-Version?
Comment 13 Julien Nabet 2014-07-31 18:56:49 UTC
Just for the record, last stable LO version, 4.2.5, requires Java 32 bits on Windows.
Indeed, LO can only be built in 32bit on Windows (whereas it can be 32 or 64 in Linux and MacOs).
Could you give it a try with Java 1.7 or 1.6 (but 32 bits) and LO 4.2.5?
Comment 14 Alex Thurgood 2015-01-03 17:38:31 UTC
Adding self to CC if not already on
Comment 15 QA Administrators 2015-07-18 17:36:03 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-07-18
Comment 16 QA Administrators 2015-09-04 03:01:23 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-09-03